> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aryn.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Doc

> Remove a document from a DocSet and delete the file.

Args:
    docset_id: The ID of the DocSet
    doc_id: The ID of the document to remove



## OpenAPI

````yaml api-reference/endpoint/platform/openapi.json delete /v1/storage/docsets/{docset_id}/docs/{doc_id}
openapi: 3.1.0
info:
  title: Aryn Platform API
  version: 0.1.0
servers:
  - url: https://api.aryn.cloud
    description: US Region
  - url: https://api.aryn.ai
    description: US Region
  - url: https://api.us.aryn.cloud
    description: US Region
  - url: https://api.us.aryn.ai
    description: US Region
security: []
paths:
  /v1/storage/docsets/{docset_id}/docs/{doc_id}:
    delete:
      tags:
        - Document
      summary: Delete Doc
      description: |-
        Remove a document from a DocSet and delete the file.

        Args:
            docset_id: The ID of the DocSet
            doc_id: The ID of the document to remove
      operationId: delete_doc_v1_storage_docsets__docset_id__docs__doc_id__delete
      parameters:
        - name: docset_id
          in: path
          required: true
          schema:
            type: string
            title: Docset Id
        - name: doc_id
          in: path
          required: true
          schema:
            type: string
            title: Doc Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DocumentMetadata'
        '404':
          description: Not found
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    DocumentMetadata:
      properties:
        account_id:
          type: string
          title: Account Id
          description: The account id containing the Document.
        doc_id:
          type: string
          title: Doc Id
          description: The unique id for the Document.
        docset_id:
          type: string
          title: Docset Id
          description: The unique id for the DocSet containing the Document.
        created_at:
          type: string
          title: Created At
          description: The time at which this document was added to the system.
        name:
          type: string
          title: Name
          description: The name of this Document.
        size:
          type: integer
          title: Size
          description: The size of the Document in bytes.
        content_type:
          type: string
          title: Content Type
          description: The content type of the source Document.
        properties:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Properties
          description: Additional properties for the Document.
      type: object
      required:
        - account_id
        - doc_id
        - docset_id
        - created_at
        - name
        - size
        - content_type
      title: DocumentMetadata
      description: ''
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````